GRPC C++ 0.10.0.0

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Friends
grpc::GenericServerContext Class Reference

`#include <async_generic_service.h>`

## Public Member Functions
const grpc::string & | method () const
const grpc::string & | host () const
Public Member Functions inherited from grpc::ServerContext
| ServerContext ()
| ~ServerContext ()
std::chrono::system_clock::time_point | deadline ()
gpr_timespec | raw_deadline ()
void | AddInitialMetadata (const grpc::string &key, const grpc::string &value)
void | AddTrailingMetadata (const grpc::string &key, const grpc::string &value)
bool | IsCancelled () const
const std::multimap < grpc::string, grpc::string > & | client_metadata ()
grpc_compression_level | compression_level () const
void | set_compression_level (grpc_compression_level level)
grpc_compression_algorithm | compression_algorithm () const
void | set_compression_algorithm (grpc_compression_algorithm algorithm)
std::shared_ptr< const AuthContext > | auth_context () const
grpc::string | peer () const
const struct census_context * | census_context () const

## Friends
class | Server

## Member Function Documentation

const grpc::string& grpc::GenericServerContext::host | ( |  | ) | const
| inline

const grpc::string& grpc::GenericServerContext::method | ( |  | ) | const
| inline

## Friends And Related Function Documentation

friend class Server
| friend

The documentation for this class was generated from the following file:

- include/grpc++/async_generic_service.h